SSO (single sign-on) is being reconfigured. Maintenance started Jul 16 2:20PM UTC and will last 1 hour. Password-enabled login should still work.
Bug 1820343 - kube-scheduler should be able to log at level 10
Summary: kube-scheduler should be able to log at level 10
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-scheduler
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Mike Dame
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On: 1820344
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-02 19:38 UTC by Mike Dame
Modified: 2020-05-04 11:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1820344 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:48:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-kube-scheduler-operator pull 234 None closed Bug 1820343: [release-4.4] Bump TraceAll log level to v=10 2020-06-16 15:51:22 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:48:21 UTC

Description Mike Dame 2020-04-02 19:38:05 UTC
Currently, setting `LogLevel` in the kube-scheduler to `TraceAll` only sets the kube-scheduler's loglevel (--v flag) to 8 (see [1]).

Since many of the scheduler's logs are at level 10 (such as scoring[2]), it would be much more helpful if the operator could configure 10 for TraceAll instead of 8


[1] https://github.com/openshift/cluster-kube-scheduler-operator/blob/01caed9c867a7f8fa87ac15b3bdf9335d98ef21e/pkg/operator/target_config_reconciler_v410_00.go#L144
[2] https://github.com/kubernetes/kubernetes/blob/master/pkg/scheduler/core/generic_scheduler.go#L650-L654

Comment 7 errata-xmlrpc 2020-05-04 11:48:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.